PROBE::SYSCALL_ANY(3stap)

NAME
probe::syscall_any.return - Record exit from a syscall

SYNOPSIS

syscall_any.return

VALUES

syscall_nr
    number of the syscall

retval
    return value of the syscall

name
    name of the syscall

CONTEXT

The process performing the syscall

DESCRIPTION

The syscall_any.return probe point is designed to be a low overhead that monitors all the syscalls returns via a kernel tracepoint. Because of the breadth of syscalls it monitors it provides no information about the syscall arguments, argstr string representation of those arguments, or a string interpretation of the return value (retval).

This requires kernel 3.5+ and newer which have the kernel.trace(“sys_exit”) probe point.

SEE ALSO
tapset::syscall_any(3stap)